
namespace BookCommunityService
{
	public enum MessageHasRead{NotRead = 0, Read = 1};

	public enum DataLayerResult
	{
		None = 0,
		Success = 1,
		ServiceFailure = 2,
		UnknownFailure = 3,
		ConnectionFailure = 4,
		AuthenticationFailure = 5,
	}

	public class MessageType
	{
		private MessageType()
		{
		}
		public static string Request
		{
			get
			{
				return "Request";
			}
		}
		public static string Response
		{
			get
			{
				return "Response";
			}
		}
		public static string System
		{
			get
			{
				return "System";
			}
		}
	}
}